'use strict';

const synchronizableAsset = require("./synchronizable-asset");
const createEventEmitter = require("create-event-emitter");

module.exports = function createUploadedAsset(fileObject) {
	let asset = synchronizableAsset(URL.createObjectURL(fileObject), 1, 1, {
		fileObject: fileObject
	});

	return Object.assign(asset, {
		reportUploadCompleted: function reportUploadCompleted(url, response) {
			this.addSource(url, 1, 2, {
				response: response // FIXME: Maybe not store this to conserve memory?
			});
		}
	});
};
