const webpack = require("webpack");

module.exports = {
	watch: true,
	output: {
		filename: "bundle.js"
	},
	module: {
		loaders: [{
			test: /\.(glsl|frag|vert)$/,
			loader: "raw",
			exclude: /node_modules/,
		}, {
			test: /\.(glsl|frag|vert)$/,
			loader: "glslify",
			exclude: /node_modules/,
		}, {
			test: /\.jsx?$/,
			loader: require.resolve("babel-loader"),
			exclude: /node_modules/,
			query: {
				presets: [
					"es2015",
					"react"
				].map(item => require.resolve(`babel-preset-${item}`))
			}
		}, {
			test: /\.json$/,
			loader: "json-loader"
		}]
	},
	resolve: {
		extensions: [
			"",
			".web.jsx", ".jsx",
			".web.js", ".js",
			".web.json", ".json",
			".glsl", ".frag", ".vert"
		]
	},
	debug: true,
	devtool: "source-map"
}
